libxml-twig-perl (1:3.52-1) unstable; urgency=medium

  * Team upload.
  * Import new upstream release 3.52.
    + Refresh patches, drop one hunk applied upstream.
  * Set "Rules-Requires-Root: no".
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * Bump debhelper compatibility level to 13.
  * Set/fix upstream metadata fields via lintian-brush: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.
  * Add DEP3 headers to all older patches.
  * Delete generated files META.* via debian/clean: Modified during build
    and no more cleaned up. Makes package building twice in a row.

 -- Axel Beckert <abe@debian.org>  Tue, 21 Jul 2020 22:43:31 +0200

libxml-twig-perl (1:3.50-2) unstable; urgency=medium

  * Take over for the Debian Perl Group on maintainer's request.
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser field
    (source stanza). Changed: Maintainer set to Debian Perl Group
    <pkg-perl-maintainers@lists.alioth.debian.org> (was: Bart Martens
    <bartm@debian.org>); Replace (build-)dependency on ancient version of perl
    with a dependency on perl without a version (as permitted by Debian Policy
    3.8.3).
  * Don't install README (text version of the POD/manpage).
  * debian/copyright: use Copyright-Format 1.0.
  * Use MetaCPAN in debian/watch and debian/control.
  * Mark package as autopkgtest-able.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Drop unneeded version constraints from (build) dependencies.
  * Bump debhelper-compat to 12.
  * Add debian/upstream/metadata.
  * debian/control: remove duplicated Section and Priority fields.
  * Update short/long descriptions.
  * Move expat from Build-Depends to -Indep.
  * Add /me to Uploaders.
  * Remove unneeded debian/xml-twig-tools.dirs.
  * Move files to be removed from debian/rules to debian/clean.
  * Refresh patches (offset).
  * Add more build dependencies for tests.
  * Add more fixes to debian/patches/06_spelling.diff.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Oct 2019 22:14:39 +0200

libxml-twig-perl (1:3.50-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "CVE-2016-9180: expand_external_ents fails to work as
    documented": add patch CVE-2016-9180.patch:
    - update documentation about expand_external_ents and no_xxe
    - add test for expand_external_ents and no_xxe
    Additionally add build dependency on libtest-exception-perl.
    (Closes: #842893)

 -- gregor herrmann <gregoa@debian.org>  Sun, 31 Mar 2019 22:18:27 +0200

libxml-twig-perl (1:3.50-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Thu, 04 Aug 2016 18:52:02 +0200

libxml-twig-perl (1:3.48-1) unstable; urgency=medium

  * New upstream release.  Closes: #756059.
  * debian/patches/06_spelling.diff: Edited to fit new upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 26 Oct 2014 12:13:00 +0100

libxml-twig-perl (1:3.44-1) unstable; urgency=medium

  * New upstream release.  Closes: #720457, #721395, #694523.
  * debian/control: Updated Homepage.  Closes: #720616.
  * debian/patches/series: Added.  Enables patches.
  * debian/patches/07_691028.diff: Added.  Closes: #691028.

 -- Bart Martens <bartm@debian.org>  Sun, 05 Jan 2014 22:58:27 +0100

libxml-twig-perl (1:3.39-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * No longer using cdbs.  Fixes debian-rules-uses-deprecated-makefile.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Oct 2011 17:41:39 +0200

libxml-twig-perl (1:3.37-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02_perl_path.diff: Removed.
  * debian/patches/05_firstlast.diff: Removed.
  * debian/rules: Completed clean rule.
  * debian/control: xml-twig-tools Depends: libxml-twig-perl (>= 1:3.34).
    Closes: #584569.

 -- Bart Martens <bartm@debian.org>  Sun, 13 Feb 2011 10:35:13 +0000

libxml-twig-perl (1:3.34-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/05_firstlast.diff: Added.  Closes: #565206.
  * debian/patches/06_spelling.diff: Added.  Fixes spelling errors.

 -- Bart Martens <bartm@debian.org>  Sat, 13 Feb 2010 19:24:43 +0100

libxml-twig-perl (1:3.32-3) unstable; urgency=low

  * debian/control: Build-Depends: expat.  Closes: #501217.
  * debian/copyright: Updated.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Sat, 02 May 2009 15:38:06 +0200

libxml-twig-perl (1:3.32-2) unstable; urgency=low

  * debian/control: Added libxml-xpathengine-perl to Build-Depends-Indep and
    Recommends as alternative for libxml-xpath-perl.  Closes: #459581.

 -- Bart Martens <bartm@debian.org>  Thu, 28 Aug 2008 20:39:14 +0200

libxml-twig-perl (1:3.32-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/04_test_with_lwp.diff: Removed obsolete patch.
  * debian/control: Edited description.  Closes: #427225.

 -- Bart Martens <bartm@debian.org>  Sat, 17 Nov 2007 09:08:59 +0100

libxml-twig-perl (1:3.29-1) unstable; urgency=low

  * New upstream release.  Closes: #414746, #408383.
  * debian/control: Added "Suggests: xml-twig-tools".  Closes: #399704.
  * debian/patches/01_dont_ask.diff: Removed.
  * debian/patches/02_perl_path.diff: Updated.
  * debian/patches/04_test_with_lwp.diff: Added.
  * debian/rules: Build programs and their manpages with "Makefile.PL -y" and
    move them to the build directory tree of xml-twig-tools.
  * debian/xml-twig-tools.dirs: Added.
  * debian/xml-twig-tools.install: Removed.

 -- Bart Martens <bartm@knars.be>  Thu, 26 Apr 2007 19:28:01 +0200

libxml-twig-perl (1:3.26-2) unstable; urgency=low

  * debian/*: Repackaged with cdbs.
  * debian/xml-twig-tools.install: Install tools/xml*/* in /usr/bin via a
    separate package xml-twig-tools.  Closes: #398616.

 -- Bart Martens <bartm@knars.be>  Tue, 14 Nov 2006 20:06:13 +0100

libxml-twig-perl (1:3.26-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@knars.be>  Thu, 17 Aug 2006 22:02:08 +0200

libxml-twig-perl (1:3.25-1) unstable; urgency=low

  * New upstream release.
  * debian/README.Debian-source: Removed.
  * debian/control: Standards version.

 -- Bart Martens <bartm@knars.be>  Fri, 26 May 2006 21:02:22 +0200

libxml-twig-perl (1:3.24-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Changed my e-mail address.

 -- Bart Martens <bartm@knars.be>  Sat, 13 May 2006 19:16:54 +0200

libxml-twig-perl (1:3.23+d060123-1) unstable; urgency=low

  * New upstream version.  The filename of the latest upstream stable version
    is still XML-Twig-3.23.tar.gz but the file has been changed on 2006-01-23.
  * New maintainer.  Closes: #360944.
  * debian/rules: Completed clean rule.
  * debian/README.Debian-source: Added.
  * debian/control: Fixed homepage.
  * debian/watch: Adjusted.
  * Twig.pm, Twig.pm.slow: Fixed lintian manpage-has-errors-from-man.
  * debian/copyright: Updated.

 -- Bart Martens <bart.martens@advalvas.be>  Sat,  8 Apr 2006 10:58:51 +0200

libxml-twig-perl (3.23+final-1) unstable; urgency=low

  * New upstream release (well, actually identical to 3.23+d060111, but
    uploading anyway for the sake of clarity)

 -- Florian Ernst <florian@debian.org>  Tue,  7 Feb 2006 12:51:33 +0100

libxml-twig-perl (3.23+d060111-1) unstable; urgency=low

  * New upstream development version
  * debian/watch: adjusted

 -- Florian Ernst <florian@debian.org>  Thu, 12 Jan 2006 10:44:45 +0100

libxml-twig-perl (3.23-1) unstable; urgency=low

  * New upstream release
  * Rename debian/*.{docs,examples} to just {docs,examples}
  * debian/control:
    + move debhelper to Build-Depends
    + add libtest-pod-coverage-perl, libxml-simple-perl and libyaml-perl to
      Build-Depends-Indep for testing purposes during build

 -- Florian Ernst <florian@debian.org>  Thu, 27 Oct 2005 11:13:47 +0200

libxml-twig-perl (3.22-1) unstable; urgency=low

  * New upstream release
  * debian/copyright, debian/watch: point to http://xmltwig.com/xmltwig/

 -- Florian Ernst <florian@debian.org>  Sat,  8 Oct 2005 00:06:50 +0200

libxml-twig-perl (3.21-2) unstable; urgency=low

  * New maintainer. (Closes: #331102: ITA: libxml-twig-perl -- Perl
    module for processing huge XML documents in tree mode)
  * debian/copyright: extend note about previous and current maintainer
  * Minor adjustments to follow latest Perl Policy

 -- Florian Ernst <florian@debian.org>  Fri,  7 Oct 2005 16:37:16 +0200

libxml-twig-perl (3.21-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.6.2 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 14 Aug 2005 20:49:26 -0500

libxml-twig-perl (3.17-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 17 Mar 2005 10:04:02 -0600

libxml-twig-perl (3.16-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 13 Feb 2005 11:15:59 -0600

libxml-twig-perl (3.15-2) unstable; urgency=low

  * Bumped standards version to 3.6.1 (no package changes).
  * Removed broken Suggests entry on libweakref-perl.
  * Fixed comment typo in debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 13 Aug 2004 11:00:38 -0500

libxml-twig-perl (3.15-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  5 Apr 2004 18:41:14 -0500

libxml-twig-perl (3.14-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 21 Mar 2004 12:25:18 -0600

libxml-twig-perl (3.13-1) unstable; urgency=low

  * New upstream release.
    - Reworked Build-Depends-Indep so that all regression tests can run and pass
    - Modified Depends, Recommends and Suggests to match latest upstream README
    - Updated debian/copyright to include latest contact and copyright info
    - Added upstream URL to description in debian/control

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  2 Feb 2004 11:35:58 -0600

libxml-twig-perl (3.11-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 27 Sep 2003 21:07:14 -0500

libxml-twig-perl (3.10-2) unstable; urgency=low

  * New maintainer.
  * Added debian/watch file for my own housekeeping.
  * Fixed minor typo in debian/control description.
  * Reworked debian/rules for consistency with my other Perl packages.
  * Removed debian/libxml-twig-perl.install along with rules rework.
  * Clarified need for 'dh_perl -V' in debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 10 Sep 2003 15:09:19 -0500

libxml-twig-perl (3.10-1) unstable; urgency=low

  * New upstream release
    - added examples
  * debian/control: removed obsolete (build) dependency on 'libweakref-perl'
    (closes: Bug#202163)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: updated sections according to latest archive changes:
    - 'libxml-twig-perl' from 'interpreters' to 'perl'
  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 22 Aug 2003 14:40:56 -0500

libxml-twig-perl (3.09-1) unstable; urgency=low

  * New upstream release
    - Added '1;' right before '__END__' in Twig.pm so 'eval "use XML::Twig"'
      works correctly
      (closes: Bug#160008)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  3 Nov 2002 12:39:12 -0600

libxml-twig-perl (3.08-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: added pointer to license
    (closes: Bug#157680)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 21 Sep 2002 12:54:47 -0500

libxml-twig-perl (3.05-2) unstable; urgency=low

  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-indep' target

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 21 Jul 2002 18:06:09 -0500

libxml-twig-perl (3.05-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 21 Jul 2002 12:35:20 -0500

libxml-twig-perl (3.04-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 27 Apr 2002 14:47:58 -0500

libxml-twig-perl (3.02-1) unstable; urgency=low

  * New upstream release
  * debian/control: added (build) dependencies on 'libweakref-perl' and
    'libtext-iconv-perl'
  * debian/copyright: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 20 Feb 2002 20:56:24 -0600

libxml-twig-perl (2.02-4) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.5.5

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 23 Dec 2001 20:51:51 -0600

libxml-twig-perl (2.02-3) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.5.5
  * debian/control: upgraded to Debian Perl Policy 1.20

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Sep 2001 17:56:04 -0500

libxml-twig-perl (2.02-2) unstable; urgency=low

  * debian/control: updated debhelper dependency to remove dh_testversion
  * debian/control: upgraded to Debian Policy 3.5.2
  * debian/control: upgraded to Debian Perl Policy 1.17
  * debian/rules: upgraded to Debian Perl Policy 1.17

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 15 Apr 2001 19:31:06 -0500

libxml-twig-perl (2.02-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 17 Jan 2001 14:04:59 -0600

libxml-twig-perl (2.01-2) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.2.1
  * debian/rules: upgraded to debhelper v3

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 17 Jan 2001 14:00:23 -0600

libxml-twig-perl (2.01-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri,  8 Sep 2000 12:31:01 +0200

libxml-twig-perl (2.00-1) unstable; urgency=low

  * New upstream release
  * debian/control: updated short description
  * debian/control: updated long description
  * debian/control: added missing Build-Depends
  * debian/copyright: updated

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 17 Jun 2000 15:19:30 +0200

libxml-twig-perl (1.8-1) unstable; urgency=low

  * New upstream release

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 17 Dec 1999 20:51:39 +0100

libxml-twig-perl (1.7-1) unstable; urgency=low

  * New upstream release
  * Upgraded to Debian Policy 3.1.1

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 13 Dec 1999 20:13:19 +0100

libxml-twig-perl (1.6-1) unstable; urgency=low

  * Initial Release

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 23 Oct 1999 14:45:27 +0200
